Subject: Re: bug#79346: igc: PolicyShouldCollectWorld

From: Gerd Möllmann <[email-masked]>
Date: Sat, 06 Sep 2025 09:48:34 +0200

Eli Zaretskii <[email-masked]> writes:

SW>> From: Gerd Möllmann <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 06 Sep 2025 09:02:21 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Gerd Möllmann <[email-masked]>
>> >> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> >> Date: Fri, 05 Sep 2025 20:05:26 +0200
>> >> 
>> >> I've branched a new scratch/igc2 from feature/igc for more "freestyle"
>> >> changes.
>> >
>> > Will someone merge from that branch to feature/igc?  Or is this a
>> > completely independent effort?
>> >
>> > IOW, what is the intended use of this new branch, and how, if at all
>> > will it fit into the work on adding igc to Emacs?
>> >
>> > For example, if I have an igc-related change to install, on which of
>> > the two branches should I do that?
>> 
>> ATM, it's thought of a place where one can experiment with things
>> without being faced with bureaucratic hurdles, so to speak. Depends on
>> whether Helmut finds that useful, otherwise I'd delete it again.
>
> What "bureaucratic hurdles" are those?

A feature branch has some rules to follow, I'd guess. 

>
> Also, does this mean this branch is only for Helmut (and maybe
> yourself) to use, and others should not push anything there without
> talking to you first?

Yes.

> And my question about merges still stands, in case this branch will
> get some changes.

No automatic merges from there to feature/igc.